METASOURCES = AUTO

INCLUDES = $(KOPETE_INCLUDES) $(all_includes)

kde_module_LTLIBRARIES = kopete_history.la kcm_kopete_history.la

kopete_history_la_SOURCES = historyplugin.cpp historydialog.cpp historyviewer.ui\
	historylogger.cpp converter.cpp historyguiclient.cpp historyconfig.kcfgc

kopete_history_la_LDFLAGS     = -module -no-undefined $(KDE_PLUGIN) $(all_libraries) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor $(LIB_TDEHTML) $(LIB_TDEUTILS)
kopete_history_la_LIBADD      = ../../libkopete/libkopete.la

kcm_kopete_history_la_SOURCES = historyprefsui.ui historypreferences.cpp  historyconfig.kcfgc
kcm_kopete_history_la_LDFLAGS = -module -no-undefined $(KDE_PLUGIN) $(all_libraries) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor $(LIB_TDEHTML) $(LIB_TDEUTILS)
kcm_kopete_history_la_LIBADD  = ../../libkopete/libkopete.la $(LIB_TDEUTILS)

service_DATA = kopete_history.desktop
servicedir = $(kde_servicesdir)

mydatadir = $(kde_datadir)/kopete_history
mydata_DATA = historyui.rc  historychatui.rc

kcm_DATA = kopete_history_config.desktop
kcmdir = $(kde_servicesdir)/tdeconfiguredialog

kde_kcfg_DATA = historyconfig.kcfg
